Package uk.ac.starlink.topcat.func

## Class TwoMass

- java.lang.Object
- - uk.ac.starlink.topcat.func.TwoMass

-     public class TwoMass
      extends java.lang.Object

  Specialist functions for use with data from the 2MASS surveys.
  Since:
    8 Nov 2004
  Author:
    Mark Taylor (Starlink)

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.util.logging.Logger` | `logger` |
    `static java.lang.String` | `TWOMASS_BASE_URL` | Base URL for the 2MASS image server cutout service.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TwoMass()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static java.lang.String` | `showCutout2Mass​(java.lang.String label, double ra, double dec, int npix, char band)` | Displays a cutout image from the 2MASS image server around a given point.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          public static final java.util.logging.Logger logger

    - #### TWOMASS_BASE_URL

          public static final java.lang.String TWOMASS_BASE_URL

      Base URL for the 2MASS image server cutout service.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TwoMass

          public TwoMass()

  - ### Method Detail

    - #### showCutout2Mass

          public static java.lang.String showCutout2Mass​(java.lang.String label,
                                                         double ra,
                                                         double dec,
                                                         int npix,
                                                         char band)

      Displays a cutout image from the 2MASS image server around a given point.
      Parameters:
        `label` - viewer identification label
        `ra` - right ascension in degrees
        `dec` - declination in degrees
        `npix` - number of pixels in X and Y dimensions (0.4 arcsec square)
        `band` - band identifier: one of 'H', 'J' or 'K'
      Returns:
        short log message